Bug 1574374 - [abrt] cinnamon: load_instances(): xlet-settings.py:205:load_instances:FileNotFoundError: [Errno 2] No such file or directory: '/home/pmouse/.cinnamon/configs/user@cinnamon.org'
Summary: [abrt] cinnamon: load_instances(): xlet-settings.py:205:load_instances:FileNo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:411b001ea7c4a586ad1df27c5f2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 07:24 UTC by Paul DeStefano
Modified: 2018-10-01 02:46 UTC (History)
2 users (show)

Fixed In Version: cinnamon-3.8.9-1.fc29 cinnamon-3.8.9-1.fc27 cinnamon-3.8.9-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-30 23:26:17 UTC


Attachments (Terms of Use)
File: backtrace (829 bytes, text/plain)
2018-05-03 07:24 UTC, Paul DeStefano
no flags Details
File: cgroup (331 bytes, text/plain)
2018-05-03 07:24 UTC, Paul DeStefano
no flags Details
File: cpuinfo (801 bytes, text/plain)
2018-05-03 07:24 UTC, Paul DeStefano
no flags Details
File: environ (1.27 KB, text/plain)
2018-05-03 07:24 UTC, Paul DeStefano
no flags Details
File: mountinfo (3.25 KB, text/plain)
2018-05-03 07:24 UTC, Paul DeStefano
no flags Details
File: namespaces (129 bytes, text/plain)
2018-05-03 07:24 UTC, Paul DeStefano
no flags Details
File: open_fds (920 bytes, text/plain)
2018-05-03 07:24 UTC, Paul DeStefano
no flags Details

Description Paul DeStefano 2018-05-03 07:24:38 UTC
Description of problem:
This "User Applet" has a problem and was not running when I logged in.  It says there is a problem with it and I should report the error.  I
 clicked on the configuration button, and this crash occured.  Almost all the Applets are showing errors on login.

Version-Release number of selected component:
cinnamon-3.8.0-2.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        /usr/bin/python3 /usr/share/cinnamon/cinnamon-settings/xlet-settings.py applet user@cinnamon.org
crash_function: load_instances
exception_type: FileNotFoundError
executable:     /usr/share/cinnamon/cinnamon-settings/xlet-settings.py
interpreter:    python3-3.6.5-1.fc28.x86_64
kernel:         4.16.5-300.fc28.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
xlet-settings.py:205:load_instances:FileNotFoundError: [Errno 2] No such file or directory: '/home/pmouse/.cinnamon/configs/user@cinnamon.org'

Traceback (most recent call last):
  File "/usr/share/cinnamon/cinnamon-settings/xlet-settings.py", line 452, in <module>
    window = MainWindow(xlet_type, *sys.argv[2:])
  File "/usr/share/cinnamon/cinnamon-settings/xlet-settings.py", line 91, in __init__
    self.load_instances()
  File "/usr/share/cinnamon/cinnamon-settings/xlet-settings.py", line 205, in load_instances
    dir_items = sorted(os.listdir(path))
FileNotFoundError: [Errno 2] No such file or directory: '/home/pmouse/.cinnamon/configs/user@cinnamon.org'

Local variables in innermost frame:
instances: 0
path: '/home/pmouse/.cinnamon/configs/user@cinnamon.org'
self: <__main__.MainWindow object at 0x7feb397b7160>

Comment 1 Paul DeStefano 2018-05-03 07:24:42 UTC
Created attachment 1430504 [details]
File: backtrace

Comment 2 Paul DeStefano 2018-05-03 07:24:43 UTC
Created attachment 1430505 [details]
File: cgroup

Comment 3 Paul DeStefano 2018-05-03 07:24:44 UTC
Created attachment 1430506 [details]
File: cpuinfo

Comment 4 Paul DeStefano 2018-05-03 07:24:45 UTC
Created attachment 1430507 [details]
File: environ

Comment 5 Paul DeStefano 2018-05-03 07:24:46 UTC
Created attachment 1430508 [details]
File: mountinfo

Comment 6 Paul DeStefano 2018-05-03 07:24:47 UTC
Created attachment 1430509 [details]
File: namespaces

Comment 7 Paul DeStefano 2018-05-03 07:24:48 UTC
Created attachment 1430510 [details]
File: open_fds

Comment 8 Fedora Update System 2018-09-21 18:37:45 UTC
cinnamon-3.8.9-1.fc29 cinnamon-control-center-3.8.2-1.fc29 cinnamon-settings-daemon-3.8.6-1.fc29 muffin-3.8.3-1.fc29 nemo-3.8.6-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-248024aacb

Comment 9 Fedora Update System 2018-09-21 18:38:14 UTC
cinnamon-3.8.9-1.fc27 cinnamon-control-center-3.8.2-1.fc27 cinnamon-settings-daemon-3.8.6-1.fc27 muffin-3.8.3-1.fc27 nemo-3.8.6-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b1954e7d77

Comment 10 Fedora Update System 2018-09-21 18:38:39 UTC
cinnamon-3.8.9-1.fc28 cinnamon-control-center-3.8.2-1.fc28 cinnamon-settings-daemon-3.8.6-1.fc28 muffin-3.8.3-1.fc28 nemo-3.8.6-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9f75cb1224

Comment 11 Fedora Update System 2018-09-22 20:05:26 UTC
cinnamon-3.8.9-1.fc29, cinnamon-control-center-3.8.2-1.fc29, cinnamon-settings-daemon-3.8.6-1.fc29, muffin-3.8.3-1.fc29, nemo-3.8.6-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-248024aacb

Comment 12 Fedora Update System 2018-09-22 20:41:52 UTC
cinnamon-3.8.9-1.fc27, cinnamon-control-center-3.8.2-1.fc27, cinnamon-settings-daemon-3.8.6-1.fc27, muffin-3.8.3-1.fc27, nemo-3.8.6-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b1954e7d77

Comment 13 Fedora Update System 2018-09-22 22:14:05 UTC
cinnamon-3.8.9-1.fc28, cinnamon-control-center-3.8.2-1.fc28, cinnamon-settings-daemon-3.8.6-1.fc28, muffin-3.8.3-1.fc28, nemo-3.8.6-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9f75cb1224

Comment 14 Fedora Update System 2018-09-30 23:26:17 UTC
cinnamon-3.8.9-1.fc29, cinnamon-control-center-3.8.2-1.fc29, cinnamon-settings-daemon-3.8.6-1.fc29, muffin-3.8.3-1.fc29, nemo-3.8.6-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-10-01 01:22:26 UTC
cinnamon-3.8.9-1.fc27, cinnamon-control-center-3.8.2-1.fc27, cinnamon-settings-daemon-3.8.6-1.fc27, muffin-3.8.3-1.fc27, nemo-3.8.6-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-10-01 02:46:51 UTC
cinnamon-3.8.9-1.fc28, cinnamon-control-center-3.8.2-1.fc28, cinnamon-settings-daemon-3.8.6-1.fc28, muffin-3.8.3-1.fc28, nemo-3.8.6-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.